Subject: Re: [PATCH v2 01/10] command-list.txt: sort with "LC_ALL=C sort"

From: Junio C Hamano <[email-masked]>
Date: Mon, 25 Oct 2021 14:26:13 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> Also, I am not sure where that "led to believe" comes from---do we
>> have a test that checks the output from generate-cmdlist somehow?
>
> We end up unsorting the categories we bitwise-OR together. I.e. the
> CAT_* on a line like this:
>
>         { "git-whatchanged", N_("Show logs with difference each commit introduces"), 0 | CAT_ancillaryinterrogators | CAT_complete },
>
> But we'll still sort the actual command list, and spew it out as-is in
> some places "git" and "help" output. So having it be unsorted or
> shuffled wouldn't be nice.

The last paragraph would be a good replacement sentence for the part
of the proposed log message that made me ask the question, I would
think.

Thanks.